
const OracleService = require('../service/OracleService')

class adqSrvARQCAT52Model {
    constructor() {
        this.GET_ADQSRVARQCAT52 = `
            SELECT *
              FROM ARQCAT52
             WHERE CDFILIAL     = ''
               AND CDCAIXA= ''
               AND DTMOVCAT52   = NULL
               AND NRSERIECAT52 = ''
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ADQSRVARQCAT52, params);
        })
    }
}  

module.exports = new adqSrvARQCAT52Model();