const OracleService = require('../service/OracleService')

class qryGetNextNrSeqVendaModel {
    constructor() {
        this.GET_QRYGETNEXTNRSEQVENDA = `
            SELECT
                MAX(NRSEQVENDA) AS NRSEQVENDA 
            FROM
                VENDA
            WHERE
                CDFILIAL = :P_CDFILIAL AND
                CDCAIXA = :P_CDCAIXA
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_QRYGETNEXTNRSEQVENDA, params);
        })
    }
}  

module.exports = new qryGetNextNrSeqVendaModel();