function updaterRoute(app){
  const { UpdaterControllerEx } = app.controller;
  app.post('/updater/checkVersion', UpdaterControllerEx.checkInstalledVersion)
  app.post('/updater/installVersion', UpdaterControllerEx.installVersion)
  app.post('/updater/multiInstallVersion', UpdaterControllerEx.multiInstallVersion)
  app.post('/updater/removeVersion', UpdaterControllerEx.removeVersion)
  app.post('/updater/installVersionInProgress', UpdaterControllerEx.installVersionInProgress)
  app.post('/updater/removeVersionInProgress', UpdaterControllerEx.removeVersionInProgress)
  app.post('/updater/finishUpdater', UpdaterControllerEx.finishUpdater)
  app.post('/updater/cancelUpdater', UpdaterControllerEx.cancelUpdater)
  app.post('/updater/cancelUnitEvents', UpdaterControllerEx.cancelUnitEvents)
  app.post('/updater/getPendingEvents', UpdaterControllerEx.getPendingEvents)
  app.post('/updater/getPendingEventsByUnit', UpdaterControllerEx.getPendingEventsByUnit)
  app.post('/updater/getAvailablePackages', UpdaterControllerEx.getAvailablePackages)
  app.post('/updater/saveConfigDb', UpdaterControllerEx.saveConfigDb)
  app.post('/updater/getConfigIniByUnit', UpdaterControllerEx.getConfigIniByUnit)
  app.post('/updater/saveConfigIniByUnit', UpdaterControllerEx.saveConfigIniByUnit)
  app.post('/updater/getConfigHistoryByUnit', UpdaterControllerEx.getConfigHistoryByUnit)
  app.post('/updater/getProdConfig', UpdaterControllerEx.getProdConfig)
  app.post('/updater/saveProdConfig', UpdaterControllerEx.saveProdConfig)
  app.post('/updater/installNewVersion', UpdaterControllerEx.installNewVersion)
  app.post('/updater/removeEventsByUnit', UpdaterControllerEx.removeEventsByUnitAndProduct)
  app.post('/updater/updatePackageURL', UpdaterControllerEx.updatePackageURL)
  app.post('/updater/uploadLog', UpdaterControllerEx.uploadLog)
  app.get('/updater/getLogFile', UpdaterControllerEx.getLogFile)
}

module.exports = updaterRoute;