
const orcl = require('../service/OracleService')

// Chamar assim
// await GeraNovoCodigo('PEDIDOVENDA', 1, null)
async function GeraNovoCodigo(pContador, pQtde, pNrorg){
    let params = [
        {name: 'P_CONTADOR', value: pContador},
        {name: 'P_SEQUENCIAL', type: 'STRING', dir: 'OUT', maxSize: 20},
        {name: 'P_QTDE', value: pQtde},
        {name: 'P_NRORG', value: pNrorg},
    ]
    return await orcl.execProcedure('NOVO_CODIGO', params)
}

module.exports = GeraNovoCodigo